Create a new Server (not used)

- « MongoDB\Driver\Server

- MongoDB\Driver\Server::executeBulkWrite »

- PHP Manual
- MongoDB\Driver\Server
- Create a new Server (not used)

# MongoDB\Driver\Server::__construct

(mongodb >=1.0.0)

MongoDB\Driver\Server::__construct — Create a new Server (not used)

### Description

final private MongoDB\Driver\Server::__construct()

MongoDB\Driver\Server objects are created internally by MongoDB\Driver\Manager when a database connection is established and may be returned by MongoDB\Driver\Manager::getServers() and MongoDB\Driver\Manager::selectServer().

### Parameters

This function has no parameters.

### See Also

- MongoDB\Driver\Manager::getServers() - Return the servers to which this manager is connected
- MongoDB\Driver\Manager::selectServer() - Select a server matching a read preference